Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.mindcase.co/llms.txt

Use this file to discover all available pages before exploring further.

$3.5 / 1k companies Search LinkedIn for companies by keyword, industry, location, and size, returning name, profile URL, and employee count

Endpoint

POST /api/v1/agents/linkedin/company-search/run

Parameters

query
string
required
Text · Keywords to find LinkedIn companies (e.g. ‘fintech startup’).
maxResults
integer
default:100
Number · Companies to return. Use 0 for all.
locations
array
List · Filter to companies in these locations (e.g. ‘San Francisco’). One per line.
companySize
array
Multi-select · Filter to companies in this employee-count band.
A, B, C, D, E, F, G, H, ILegend: A = Self-employed (1), B = 2-10, C = 11-50, D = 51-200, E = 201-500, F = 501-1000, G = 1001-5000, H = 5001-10000, I = 10001+View all 9 as a structured list →
industries
array
Multi-select · Filter to companies in this industry.View all 434 options →

Response columns

FieldDisplay nameType
linkedinUrlLinkedIn URLurl
companyNameCompany Nametext
taglineTaglinetext
descriptionDescriptiontext
websiteWebsiteurl
logoLogourl
employeesEmployeesnumber
employeeRangeMinEmployee Range Minnumber
employeeRangeMaxEmployee Range Maxnumber
followersFollowersnumber
foundedFoundednumber
specialtiesSpecialtiesarray
ctaLinkCTA Linkurl
jobsUrlJobs URLurl
coverImageCover Imageurl
slugSlugtext
activeActiveboolean
verifiedVerifiedboolean
pageTypePage Typetext
industriesHierarchyIndustries Hierarchytext
industriesNameIndustries Nametext
industriesTitleIndustries Titletext
locationsCityLocations Citytext
locationsCountryLocations Countrytext
locationsDescriptionLocations Descriptiontext
locationsGeographicAreaLocations Geographic Areatext
locationsHeadquarterLocations Headquarterboolean
locationsLine1Locations Line1text
locationsLine2Locations Line2text
parsedCityParsed Citytext
parsedCountryParsed Countrytext
locationsCountryCodeLocations Country Codetext
locationsStateLocations Statetext
locationsPostalCodeLocations Postal Codetext
phoneNumberPhone Numbertext
similarOrganizationsSimilar Organizationsarray

Example

curl -X POST https://api.mindcase.co/api/v1/agents/linkedin/company-search/run \
  -H "Authorization: Bearer mk_live_abc123def456" \
  -H "Content-Type: application/json" \
  -d '{
  "params": {
    "query": "microsoft",
    "maxResults": 3
  }
}'

Example response

Response
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "linkedinUrl": "https://www.linkedin.com/showcase/startup-services-sat/",
      "companyName": "Startup Services - SAT",
      "tagline": "Your Go-to Growth Partner for Tech Talent and Cost Saving",
      "description": "At SA Technologies, we specialize in helping startups build offshore teams of 10\u2013100-500+ professionals. We bring your vision to life with precision and innovation, create scalable business models, manage daily operations, and ensures a smooth transition to your control.\n\nWe've successfully helped companies in overcoming recruitment challenges, unifying app development, and boosting productivity with generative AI. \nOur global hiring solutions offer unparalleled simplicity in onboarding talent across various regions. Whether it's offshore, nearshore, on-site, or through our Employer-of-Record (EOR) services, we ensure compliance and cost-effectiveness while providing high-quality talent. \n\nOur technology solutions include UI/UX design, web development, mobile app development, and AI-powered next-gen solutions.\n\nWith over 1000+ projects delivered, SA Technologies is your partner in scaling your startup's success.\nLearn more: https://www.satincorp.com/startups",
      "website": "https://www.satincorp.com/startups/",
      "logo": "https://media.licdn.com/dms/image/v2/D560BAQEXgKINmgf-aA/company-logo_400_400/company-logo_400_400/0/1718178797814?e=1778112000&v=beta&t=qn2TvxYedjrVyUtCV3D0AFVtB8FPl2sSlyN0JUoV9ag",
      "employees": null,
      "employeeRangeMin": 501,
      "employeeRangeMax": 1000,
      "followers": 242,
      "founded": 2003,
      "specialties": [
        "outsourcing talent",
        "Tech Talent Outsourcing",
        "Team Outsourcing",
        "Tech Outsourcing",
        "Startup Hiring",
        "Offshore Hiring"
      ],
      "ctaLink": "https://www.satincorp.com/startups/",
      "jobsUrl": "https://www.linkedin.com/jobs/search?geoId=92000000&f_C=103061528",
      "coverImage": "https://media.licdn.com/dms/image/v2/D561BAQFfCbCelOLtMg/company-background_10000/company-background_10000/0/1719845003867/startup_services_sat_cover?e=1776934800&v=beta&t=tj5ZNXucTvHzyzIb1j-EUBnVLTfBTxQ_wCp2LqQmolI",
      "slug": "startup-services-sat",
      "active": true,
      "verified": false,
      "pageType": "SHOWCASE",
      "industriesHierarchy": null,
      "industriesName": null,
      "industriesTitle": null,
      "locationsCity": null,
      "locationsCountry": null,
      "locationsDescription": null,
      "locationsGeographicArea": null,
      "locationsHeadquarter": null,
      "locationsLine1": null,
      "locationsLine2": null,
      "parsedCity": null,
      "parsedCountry": null,
      "locationsCountryCode": null,
      "locationsState": null,
      "locationsPostalCode": null,
      "phoneNumber": null,
      "similarOrganizations": []
    }
  ]
}